## obs-gradient-source 0.3.1

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(gradient-source VERSION 0.3.1)
set(PROJECT_FULL_NAME "Gradient Source")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "7E9FB2F8-D4BC-4099-805F-69F745A17900")
set(MACOS_INSTALLER_UUID "38823BC6-48D0-462A-955F-F1FABC492E74")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	gradient-source.c
	gradient-source.h
	version.h)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	find_package(obs-frontend-api REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
endif()
  
if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE 
		${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
elseif(OS_MACOS)
		set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
		set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
		set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
		set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
		configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
		target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

target_link_libraries(${PROJECT_NAME}
	OBS::libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
    endif()
    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
    install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
endif()
setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-gradient-source (0.3.1-4) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:32:41 -0300

obs-gradient-source (0.3.1-3) unstable; urgency=medium

  * debian/control:
      - Added a relationship for libobs-dev.
      - Added Enhances field.
      - Added obs-studio to Depends field.
      - Set 'Multi-Arch: same'.
  * debian/rules: fixed execute_after_dh_install target.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Feb 2023 01:46:50 -0300

obs-gradient-source (0.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Feb 2023 23:33:23 -0300

obs-gradient-source (0.3.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1029973)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Jan 2023 15:03:47 -0300

=== debian/control ===
Source: obs-gradient-source
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/gradient-source.1172/
Vcs-Browser: https://salsa.debian.org/debian/obs-gradient-source
Vcs-Git: https://salsa.debian.org/debian/obs-gradient-source.git

Package: obs-gradient-source
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Description: plugin for OBS Studio that creates a gradient background
 This plugin allows OBS to create sources to make available gradients to be
 used as background. Is possible to choose a size, two colors (from and to),
 a rotation for the gradient, a midpoint and an opacity level.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

# Detecting changes to help the upstream with pt_BR translation.
# This detection will run in my machine only (canopus).
execute_before_dh_auto_configure:
	if [ "$(shell hostname)" = "canopus" ]; then \
	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
	        echo "ERROR: Translation to pt_BR is out of date."; \
	        exit 1; \
	    fi; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                             -DLINUX_PORTABLE=Off

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

## obs-gradient-source 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(gradient-source VERSION 0.3.1)
+project(gradient-source VERSION 0.3.2)
 set(PROJECT_FULL_NAME "Gradient Source")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-gradient-source (0.3.2-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Jan 2026 11:47:36 -0300

obs-gradient-source (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow, no longer in Debian.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/: removed all patches (010_fix-format-truncation.patch and
    020_add-pt-BR-translation.patch) because the current source code has been
    fixed. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 27 Jun 2023 20:55:30 -0300

=== debian/control ===
Source: obs-gradient-source
Section: video
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.7.3
Homepage: https://obsproject.com/forum/resources/gradient-source.1172/
Vcs-Browser: https://salsa.debian.org/debian/obs-gradient-source
Vcs-Git: https://salsa.debian.org/debian/obs-gradient-source.git

Package: obs-gradient-source
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio that creates a gradient background
 This plugin allows OBS to create sources to make available gradients to be
 used as background. Is possible to choose a size, two colors (from and to),
 a rotation for the gradient, a midpoint and an opacity level.

=== debian/watch ===
Version: 5

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-gradient-source/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
#
# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.
# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).

Source: https://obsproject.com/forum/resources/gradient-source.1172
Matching-Pattern: .span.class..u-muted..(\d\S+)..span.
Downloadurlmangle: s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/
Filenamemangle: s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/
Searchmode: plain

## obs-gradient-source 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(gradient-source VERSION 0.3.2)
+project(gradient-source VERSION 0.3.3)
 set(PROJECT_FULL_NAME "Gradient Source")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -65,7 +65,12 @@
         LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
     install(DIRECTORY data/locale
         DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+    setup_plugin_target(${PROJECT_NAME})
 else()
-    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+	else()
+		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+		setup_plugin_target(${PROJECT_NAME})
+	endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-gradient-source (0.3.3-0ubuntu1) resolute; urgency=medium

  * New upstream release 0.3.3
  * d/control: Only build for obs-studio supported archs

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 17:47:00 -0800

obs-gradient-source (0.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:04:11 +1100

obs-gradient-source (0.3.2-1build1) noble; urgency=high

  * No change rebuild against libobs0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:45:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: obs-gradient-source
 Section: video
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.7.3
+Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/gradient-source.1172/
 Vcs-Browser: https://salsa.debian.org/debian/obs-gradient-source
 Vcs-Git: https://salsa.debian.org/debian/obs-gradient-source.git
 
 Package: obs-gradient-source
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
 Enhances: obs-studio
